Subject: [marf] draft-ietf-marf-as status and review

From: "Murray S. Kucherawy" <[email-masked]>
Date: Thu, 29 Mar 2012 20:36:06 +0000

During AD Evaluation, which is the first step of the publication process, our AD had numerous concerns with the applicability statement draft, all of which were focused on clarity in our use of normative language.

I sat down with him and with Barry here in Paris and sorted out his concerns.  The attached diff iooks much better to him, and I agree that it makes the language much tighter and even removes some redundancy in one case.

Please get a look and let me know what you think, up or down.  I'd like to post it late Friday night (Pacific time), and I need at least a couple of people to make sure that I haven't broken anything we wanted to say.  After that it will get scheduled for an IETF-wide Last Call and IESG evaluation.

-MSK

---

From: Scott Kitterman <[email-masked]>
Date: Thu, 29 Mar 2012 17:02:42 -0400

On Thursday, March 29, 2012 08:36:06 PM Murray S. Kucherawy wrote:
> During AD Evaluation, which is the first step of the publication process,
> our AD had numerous concerns with the applicability statement draft, all of
> which were focused on clarity in our use of normative language.
> 
> I sat down with him and with Barry here in Paris and sorted out his
> concerns.  The attached diff iooks much better to him, and I agree that it
> makes the language much tighter and even removes some redundancy in one
> case.
> 
> Please get a look and let me know what you think, up or down.  I'd like to
> post it late Friday night (Pacific time), and I need at least a couple of
> people to make sure that I haven't broken anything we wanted to say.  After
> that it will get scheduled for an IETF-wide Last Call and IESG evaluation.

Except for the change to 5.1.2, I think it's all reasonable.  I suspect that 
what's actually written in the revised 5.1.2 doesn't reflect what was intended. 

The problematic (IMO) sentence now says:

"Mail operators MUST NOT reject reports formatted per [RFC5965] as email 
messages ([RFC5322]) over SMTP ([RFC5321]).  "

There are lots of reasons to reject messages and I think a general MUST NOT 
reject is far to global.  The old wording was:

"Mail operators MUST be prepared to receive reports formatted per [RFC5965] as 
email messages ([RFC5322]) over SMTP ([RFC5321])."

The way it's worded now would be appropriate if rejecting one of these 
messages had some major interoperability impact and that's not the case.

Reading over this section (5.1.2), I'm no longer sure what it was meant to 
accomplish, so I don't have a recommendation for new wording.

Scott K

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Thu, 29 Mar 2012 23:18:02 +0000

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Scott Kitterman
> Sent: Thursday, March 29, 2012 2:03 PM
> To: [email-masked]
> Subject: Re: [marf] draft-ietf-marf-as status and review
> 
> Except for the change to 5.1.2, I think it's all reasonable.  I suspect
> that what's actually written in the revised 5.1.2 doesn't reflect what
> was intended.
> [...]
> Reading over this section (5.1.2), I'm no longer sure what it was meant
> to accomplish, so I don't have a recommendation for new wording.

Think of it as a "You are compliant with this applicability statement if your abuse address accepts and processes ARF-formatted messages", trying to use normative language.  They could do nothing with them, of course, but I think we need to say that this is the protocol of choice between the two endpoints in this situation.

-MSK

---

From: Scott Kitterman <[email-masked]>
Date: Thu, 29 Mar 2012 22:41:34 -0400

"Murray S. Kucherawy" <[email-masked]> wrote:

>Think of it as a "You are compliant with this applicability statement
>if your abue address accepts and processes ARF-formatted messages",
>trying to use normative language.  They could do nothing with them, of
>course, but I think we need to say that this is the protocol of choice
>between the two endpoints in this situation.

OK. MUST NOT reject doesn't say that.

Scott K

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Fri, 30 Mar 2012 05:37:42 +0000

> Sent: Thursday, March 29, 2012 7:42 PM
> To: [email-masked]

How about:

Mail operators MUST be able to receive and process reports formatted per [RFC5965] as email messages ([RFC5322]) over SMTP ([RFC5321]). These and other types of email messages that can be received are discussed in Section 4.2 of [RFC6449].

It's the same as the -11 text, except it changes "prepared" to "able".  That sounds almost the same, except when considering the contrapositive: "unprepared" is a lot weaker in a protocol sense than "unable".

-MSK

---

From: Barry Leiba <[email-masked]>
Date: Fri, 30 Mar 2012 09:38:27 +0200

>
> How about:
>
> Mail operators MUST be able to receive and process reports formatted per
> [RFC5965] as email messages ([RFC5322]) over SMTP ([RFC5321]). These and
> other types of email messages that can be received are discussed in Section
> 4.2 of [RFC6449].
>

I don't know.  I think the fact that Scott couldn't come up with text, and
that your attempt is a bit weak, speak to this sentence not using 2119 text
(and note that that does NOT make it "non-normative").  Maybe just
something like, "[reports covered in this draft] are formatted per ARF
[RFC5965] as email messages [RFC5322] over SMTP [RFC5321]."

(BTW, the use of bare citations to double as text is what's causing you to
do the siilly "([RFCxxxx])" thing sometimes.  Just say no, please.)

Barry

---

From: "John Levine" <[email-masked]>
Date: 30 Mar 2012 09:36:49 -0000

Give or take the fixes discussed to make 5.2 say what it's supposed to
mean (which I think is to the extent you accept any reports you should
accept ARF reports), it looks good to me.

R's,
John

---

From: Scott Kitterman <[email-masked]>
Date: Fri, 30 Mar 2012 08:15:32 -0400

On Friday, March 30, 2012 09:38:27 AM Barry Leiba wrote:
> > other types of email messages that can be received are discussed in
> > Section 4.2 of [RFC6449].
> 

I like that one best (Barry's), but either is fin.

Scott K

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Fri, 30 Mar 2012 15:15:23 +0000

> Sent: Friday, March 30, 2012 5:16 AM
> To: [email-masked]

I went with that, with slight modifications.  It's over to Pete for processing.

-MSK